Amity Photoimpro

AmitySource PhotoImpro

PhotoImpro is a complete solution for your digital photos and images with intuitive, comfortable and fully customizable user interface. It has everything you need for working with your digital pictures.

With PhotoImpro Browser you can browse, share, edit and organize, manage and manipulate images and other files, view thumbnails of your images and photos.

PhotoImpro Viewer can display your images. It can display a group of images in a sequential order.

Powerful PhotoImpro Editor allows you to apply image adjustments commands to your photos, such as color correction, brightness, contrast, desaturate etc. One can restorate bad quality photos with denoise, focus corrector, red eye remover. More than 50 filters and effects will help you to make your photos unforgettable, unique and attractive.

PhotoImpro is a full-featured batch image editor software application. Just select the files you wish to process, choose the operation for the processing task, and you are ready to go! Each image will be automatically processed.

You can use PhotoImpro Organizer to organize photos in the way you like it. Virtual folders and rating system will help you to do it.

PhotoImpro let you share images as you want. It will help you to create HTML albums, which you have never seen before. You can upload/ download files to/from FTP servers. Share your photos with PhotoImpro with anyone via WEB sharing module, which is also built in. PhotoImpro CD/DVD Burner will help you to burn images or photos on CD/DVD discs.

You don’t need to think how to arrange images on the paper when you print many of them. PhotoImpro will do it for your. Just specify sizes, border, crop (if needed) and that’s it then.

PhotoImpro let you browse images on WEB servers.

If there is something you woul’d like to do with your images, but PhotoImpro can’t do it, please let us know about it via Feature Request module. We are open for all your suggestions and propositions, which can make our product better.


Browsing

Browsing Images

PhotoImpro browser allows the user to browse, organize, manage and share images.

Full customizable interface (all windows and panes can be moved, hidden, docked or closed) allows the user to personalize layout.

With File List pane the user can browse, select, sort, rename, delete, move, share or edit images or photos in his own way.

Preview pane shows image which are selected at this moment.

File Info pane shows information about the selected image (Size, Resolution, etc..).

Folders pane allows the user to browse through the folders and display their contents in the File List pane.

Combine pane is a pane with Folders tree and File List.


Customizing layout

PhotoImpro allows the user to personalize interface in his own way.

Open or Close pane
Choose View -> and select pane which you want to open or close.

Moving panes
Drag pane's header or pane's tab to the new location.

Docking panes
Drag the pane's header to the blue mark of the corresponding side of the Browser's window until the shadow is resized automatically, and release the mouse button.

Stacking panes
Drag the pane's header to the blue mark in the centre of the Browser's window or to the title bar of the Browser's window until the shadow is resized automatically, and release the mouse button.

Reset to default
Choose View -> Default Layout to return the PhotoImpro default layout.


Preview Pane

Preview pane shows the image which is selected at this moment. The user can resize and move it within the screen.
Preview Pane


File list pane

File list pane allows to view contents of the selected folder. The user can specify view mode, thumbnail size and sorting order.

View modes:

  • Small icons
  • Report
  • Large icons
  • Thumbnail (default)
Thumbnail size can be changed with a slider on the right side of File List pane toolbar (see screenshot)

Sorting orders:
  • by Name
  • by Size
  • by Type
  • by Create time
  • by Modify time
The direction of sorting (forward or backward) can be also specified.

Selection
  • Select all images
  • Select several images
  • Select all files
  • Select all items
  • Invert selection
To move, copy, rename or delete files use Drag and Drop or specific buttons on toolbar.

The user can also set a rating for the images by corresponding buttons.

File list pane


Untitled Document

Folders pane

Folders pane displays all directories in the computer (similar to the directory tree in Windows Explorer) and allows the user to view the contents of the selected directory in the File List pane.

Folders pane


File info pane

File info pane displays information about the selected image or photo.

File Info


Combine

Combine pane

Combine pane is a pane with Folders tree and File List, with the same possibilities.

Combine Pane


Viewing Images

The user can use the Photoimpro Viewer to display the images or a group of images in a sequential order.

Photoimpro Viewer allows to show images in the slideshow mode. To use it select View > Slide Show

The user can zoom the interested area of the image. For doing this, click on the corresponding buttons Zoom toolbar

Photoimpro Viewer allows to show images in the fullscreen mode, making the viewing more comfortable. To use it select View > Fullscreen.


Batch Image Processing

PhotoImpro is a full-featured batch image editor software application. This feature is easy-to-use, you do not have to understand programming or even scripting in order to perform the batch processing tasks. Just select the files you wish to process, choose the operation for the processing task, and you are ready to go! Each image will be automatically processed. For example, you can resize photos, restorate photos (denoise, image adjustments, etc), apply photo enhancement filters or effects. All operations can be performed in batch mode for an entire list of selected images.


Editing Images

PhotoImpro allows the user to edit images with advanced functionality

Image Adjustments commands such as auto color, auto white balance, brightness/contrast, desaturate, etc... will help user to correct his photos automatically or manually.

With Restoration filters one can improve bad quality photos. Denoise helps to remove unwanted noise from the images. Focus Corrector allows to correct unfocused or blured photos. Red eye remover removes "red eye effect" from the photos, for this operation just select the face and that's it then.

Filters and effects helps to do photos more unique and attractive.

Rotate canvas of images allows to rotate images as one wants.

PhotoImpro Tools allows to select region with feaser, to paint different brushes on image, to do the crop of image and the path, which can help in many operations.

Selecting Color via Color button in tools pane

Blending Options allows to create additional effects to image when you use filters or adjustment commands.

Undo Pane (History) allows to restoring previous state of image by selecting interested item in Undo pane window.


Restoration

Restoration of Image

With restoration filters the user can improve bad quality images.

Auto Denoise | Automatically removes unwanted noise from the photos.
Denoise | Removes unwanted noise from the photos.
Edge-Preserving Smoothing | Edge-Preserving Smoothing is a simple 3X3 bilateral filtering.
Focus Corrector | Corrects blured or unfocused images.
Red Eye Remover | Removes unwanted "red eye effect" from the photos.


Auto Denoise

Noise is a serious problem that hinders high quality digital image processing. In digital photography, the consumer- and prosumer-level cameras produce images with an easily noticeable noise component. This component is especially strong in images taken at high ISO rates. The noise reduces the visual quality of digital images and resulting printouts. Some image processing operations, like sharpening, make quality of noisy images even worse.

Auto Denoise is a digital filter designed to automatically reduce visible noise in digital photos.

To use the Auto Denoise filter:

Choose Image > Restoration > Auto Denoise


Wavelet De Noise

Denoise

Noise is a serious problem that hinders high quality digital image processing. In digital photography, the consumer- and prosumer-level cameras produce images with an easy noticeable noise component. This component is especially strong in images which are taken at high ISO rates. The noise reduces the visual quality of digital images and resulting printouts. Some image processing operations, like sharpening, make a quality of the noisy images even worse.

Denoise is a digital filter designed to reduce a visible noise in digital photos.

The user can adjust many parameters for this filter. Luminance and color strength make it possible to specify noise reducing strength (in percents) in luminance and color channels correspondingly. Threshold parameter helps to select noise from the image. Higher values of this parameter leave more noise in the image, lower values produce blured image. Area radius specifies radius for the noise analysis. Higher values allow to reduce low frequency noise but this can blur the image. Area smoothing parameter let the user set the smoothing factor for uniform regions (non edge regions). Sharpness parameter sets amount of edge sharpening in percents, higher values can leave some noise in image. Image details parameter allows to specify how many small details must be leaved after the denoise. Lower values produce blured image, higher values can leave image noisy. The number of iterations can be specified through the corresponding slider. The user should be careful with this parameter, as the filter takes a lot of time for processing.

To use the Denoise filter:

Choose Image > Restoration > Denoise

Denoise


Edge-Preserving Smoothing

Edge-Preserving Smoothing is a simple 3X3 bilateral filtering.

The basic idea underlying bilateral filtering is to do in the range of image what traditional filters do in their domain. Two pixels can be close to each other,occupying nearby spatial location, or they can be similar to each other,having nearby values, possibly in a perceptually meaningful fashion. You can specify distance of the closest pixels in color and space domains via corresponding sliders.

To use the Edge-Preserving Smoothing filter:

Choose Image > Restoration > Edge-Preserving Smoothing

Edge Preversing Blur


Focus

Focus corrector works quite differently from Unsharp Mask. Whereas Unsharp Mask (or Sharpen) filters increase the contrast at the edges of the image, Focus corrector reverses the out-of-focus formula through which the image got blurred. This allows the details to be recovered, whereas with Unsharp Mask it is not possible.

When the image gets out of focus, a point source of light (a small shiny object) becomes a circle of light. The user must specify circle of light radius via corresponding slider (radius).

Smooth slider allows to reduce amount of unwanted artifacts. However it reduces sharpness.

Noise factor slider helps the user to reduce noise effect on the target image, though it reduces sharpness too.

Small preview window helps to adjust this values.

Choose Image > Restoration > Focus Corrector
focus


Red Eye Remover

Even with modern cameras with built-in red-eye-reduction modes, it can happen that one or more of the subjects on the photos show the red-eye effect. In this case, the Red Eye Remover helps. Even the worst red-eye effect can be repaired with this function. Just select the face with red eyes and press "proceed" button.

Choose Image > Restoration > Red Eye Remover
Red Eye Remover


Tools

Learn how to use the tools of PhotoImpro

This part contains the following chapters:
Selection | With Selection tool the user can choose region of the image for editing.
Paths | Path tool allows to work with a selection and tools more accurately.
Crop | The user can crop the image using the Crop tool.
Brushes | The Brush tool paints with the current foreground color on the image.
Clone Stamp | The Clone Stamp tool takes a sample of the image, which can be then applied to the part of the same image.


Selection

With Selection tool the user can choose region of the image for editing.

  • "Lasso" allows to choose variable region.
  • "Select all" selects the whole image.
  • "Rectangle" allows to choose rectangle region.
  • "Invert" inverts selection.
  • "Hide" hides selection from the screen.
  • "Transform to Path" transforms selection to path. It is useful for the more accurate selection.

It is also avaiable feaser toolbar for all selection tools, which allows to produce feasered borders of the selected region. The user can specify the size of feaser and the blending options. It can be used for example to smooth the retouching photos.

You can use "Free Transform" for transforming current selection.


Paths

Path tool allows to work with a selection and tools more accurately.

There are three ways to create a path:

  1. Convert current selection by clicking on "Convert selection to Path" button.
  2. Select pencil tool in the path tools toolbar and draw path on the image.
  3. Select line tool in the path tools toolbar and place points on the image where the path will be based.
The user can edit (move, add, delete base points, and change curves) of the current path, by path tools toolbar.

Creating accurately selection is the main feature of the paths. To convert path to a selection just click corresponding button on the path tools toolbar.

Photoimpro allows to apply tools (brushes, dodge, burn, etc) to the paths. Just select interested tool and click "Apply brush to path" button.


Crop

Cropping is the process of removing portions of the image to create focus or strengthen the composition. The user can crop the image using the Crop tool.

To crop the image:

  • Select the Crop tool.
  • Enter proportions in the crop toolbar.
  • Drag over the part of the image you want to keep to create the marquee. The marquee does not have to be precise-you can adjust it later.
  • If necessary, adjust the cropping marquee:
    • To move the marquee to another position, place the pointer inside the bounding box and drag.
    • To scale the marquee, drag a handle.
  • To complete the crop press Enter or click the Commit button in the toolbar.
  • To cancel the cropping operation press Esc or click the Cancel button in the toolbar.


Brushes

Brush tools

The Brush tool paints with the current foreground color on the image.

To use Brush tool:

  1. Choose the foreground color. (See the color picker)
  2. Choose the brush from the Brush Presets picker, and set brush options.
  3. Select the Brush mode
  4. Drag in the image to paint.

Brush Presets picker

The user can specify predefined brush preset or create new preset with the custom parameters, such as Size, Hardness, Peak count, Rotation, Radius, Outline, etc...

Also the dynamic parameters for brushes can be specified: Spacing, Scatter and Hue.

Brush modes

Dodge and Burn
Used for lightening or darken areas of the image, the Dodge and the Burn mode are based on a traditional photographer's technique for regulating exposure on specific areas of the print. Photographers hold back light to lighten the area on the print (dodging) or increase the exposure to darken areas on the print (burning).

Sharpen
Sharpen mode focuses with a specific brush soft edges to increase clarity or focus.

Blur
Blur mode softens with a specific brush hard edges or reduces detail in the image.

Sponge
Sponge mode subtly changes the color saturation of the area. Increases or decreases contrast by moving gray levels away from or toward the middle gray.


Clone Stamp

The Clone Stamp tool takes a sample of the image, which can then be applied over a part of the same image. Each stroke of the tool paints more samples. The Clone Stamp tool is useful for duplicating an object or removing a defect from the image.

When the user use the Clone Stamp tool, he sets a sampling point on the area (with "Alt" button places point on the image) which should be applied to another area.

Due to different brush tips the user have a lot of control over the size of the area which is cloned.


Adjusments

Image Adjustments

With Image-Adjustments commands it is possible to correct your photos automatically or manually

Auto White Balance | Auto White Balance command automatically adjusts the black point and white point in an image.
Auto Contrast | Auto Contrast command adjusts the overall contrast and mixture of colors of RGB image automatically.
Auto Color | Auto Color command adjusts the contrast and color of an image by identifying shadows, midtones, and highlights of an actual image.
Auto Enhance Colors | Auto Enhance Colors' filter runs an automatic saturation stretch for the image on three channels.
Levels | Levels command let the user correct the tonal range and color balance of an image by adjusting intensity levels of shadows, midtones, and highlights of an image.

Brightness / Contrast

 Brightness/Contrast command let the user make simple adjustments to the tonal range of an image.
Gamma | Gamma command provides the ability to edit the gamma values of an image.
Hue Saturation | Hue/Saturation command let the user adjust hue, saturation, and brightness of a specific color component in image or simultaneously adjust all the colors in it.
Desaturate | Desaturate command converts a color image to a grayscale image in the same color mode.
Channel Mixer | Channel Mixer modifies a targeted (output) color channel using a mixture of the existing (source) color channels of the image.
Posterize | Posterize command let the user specify the number of tonal levels (or brightness values) for each channel in image.
Invert | Invert command inverts the colors of image.
Invert Luma | Invert Luma command inverts the luma of image.
Histogram Equalization | Histogram Equalization command redistributes the brightness values of the pixels in an image so that they more evenly represent the entire range of brightness levels.


Auto White Balance

Auto White Balance command automatically adjusts the black point and white point in an image. This clips a portion of the shadows and highlights in each channel and maps the lightest and darkest pixels in each color channel to pure white (level 255) and pure black (level 0). The intermediate pixel values are redistributed proportionally. As a result, the usage of Auto White Balance tool increases the contrast of an image as the pixel values are expanded (unlike being compressed, as in lower contrast images). As Auto White Balance adjusts each color channel individually, it may remove color or introduce color casts.

Auto White Balance gives good results in certain images with an average distribution of pixel values that need a simple increase in contrast.

To use the Auto White Balance command:

Choose Image > Adjustments > Auto White Balance.


Auto Contrast

Auto Contrast command adjusts the overall contrast and mixture of colors of RGB image automatically. As it does not adjust channels individually, Auto Contrast does not introduce or remove color casts. It clips the shadow and highlight values in an image and then maps the remaining lightest and darkest pixels of the image to pure white (level 255) and pure black (level 0). This makes the highlights appear lighter and shadows appear darker.

Auto Contrast can improve the appearance of many photographic or continuous-tone images. It does not improve flat-color images.

To use the Auto Contrast command:

Choose Image > Adjustments > Auto Contrast. The application of Auto Contrast is automatic with this option.


Auto Color

Auto Color command adjusts the contrast and color of an image by identifying shadows, midtones, and highlights of an actual image.

To use the Auto Color command:

Choose Image > Adjustments > Auto Color. The application of Auto Color is automatic with this option.


Auto Enhance Color

Auto Enhance Colors

Auto Enhance Colors filter runs an automatic saturation stretch for the image on three channels. It makes it within HSV color space, preserving hue.

For each channel of the image, this tool finds the maximum and minimum saturation values and stretches the histograms to the full saturation range.

To use the Auto Enhance Colors command:

Choose Image > Adjustments > Auto Enhance Colors.


Levels

The Levels command let the the user correct the tonal range and color balance of the image by adjusting intensity levels of image shadows, midtones, and highlights. The Levels histogram is a visual guide for adjusting the image key tones.

The outer two Input Levels sliders map the black point and the white point to the settings of the Output sliders. By default, the Output sliders are at level 0, where the pixels are completely black, and level 255, where the pixels are completely white. So, in the default position for the Output sliders, moving the black input slider maps the pixel value to level 0, and moving the white point slider maps the pixel value to level 255. The remaining levels are redistributed between levels 0 and 255. This redistribution increases the tonal range of the image, in effect increasing the overall contrast of the image.

The middle Input slider adjusts the gamma in the image. It moves the midtone (level 128) and changes the intensity values of the middle range of gray tones without dramatically altering the highlights and shadows.

Choose Image > Adjustments > Levels


brightness

Brightness/Contrast

Brightness/Contrast command let the user make simple adjustments to the tonal range of an image. Unlike Curves and Levels, which apply proportional adjustments to the pixels in an image (nonlinear adjustment) based on user's settings of black or white points or the gamma, this command makes the same adjustment to every pixel in the image (linear adjustment). The Brightness/Contrast command is not recommended for high-end output because it can result in loss of image details.

To use the Brightness/Contrast command:

Choose Image > Adjustments > Brightness/Contrast.
brightness

Dragging to the left decreases the level, to the right - increases it. The number on the right side of each slider value displays the brightness or contrast value. Values can range from -100 to +100

.


Gamma

Gamma command provides with ability to edit the gamma values of the image

To use the Gamma command:

Choose Image > Adjustments > Gamma

gamma


hue

Hue/Saturation

Hue/Saturation command let the user adjust the hue, saturation, and brightness of a specific color component or simultaneously adjust all the colors of an image.

To use the Hue/Saturation command:

Choose Image > Adjustments > Hue/Saturation.
hue


Desaturate

Desaturate command converts a color image to a grayscale image in the same color mode. For example, it assigns equal red, green, and blue values to each pixel in an RGB image to make it appear grayscale. The lightness value of each pixel won't be changed.


Channel Mixer

Channel Mixer modifies a targeted (output) color channel using a mixture of the existing (source) color channels of the image. Color channels are grayscale images which represent the tonal values of the color components of an image (RGB).

To use Channel Mixer:

Choose Image > Adjustments > Channel Mixer.

channelmixer


Posterize

Posterize command let the user specify the number of tonal levels (or brightness values) for each channel in the image and then maps the pixels to the closest matching level.

To use Posterize command:

Choose Image > Adjustments > Posterize
posterize


Invert

Invert command inverts the colors of the image. The user can use this command as a part of the process to make an edge mask for applying sharpening and other adjustments to selected areas of the image.

To use the Invert command:

Choose Image > Adjustments > Invert


Invert Luma

Invert Luma command inverts the luma in the image. The user can use this command as a part of the process to make an edge mask for applying sharpening and other adjustments to selected areas of the image.

To use the Invert Luma command:

Choose Image > Adjustments > Invert Luma


Histogram Equalization

Histogram Equalization command redistributes the brightness values of the pixels of an image so that they more evenly represent the entire range of brightness levels. When the user applies this command, PhotoImpro finds the brightest and darkest values in the composite image and remaps them so that the brightest value represents white and the darkest value represents black. PhotoImpro then attempts to equalize the brightness i.e. distributes the intermediate pixel values evenly throughout the grayscale.

To use the Histogram Equalization command:

Choose Image > Adjustments > Equalize


Filters

PhotoImpro filters help users to make photos more unique and attractive.

Artistic | Creates your photos much like artist picture (aquarelle, oilify)
Blurs | Blures your photos by different methods (median, gaussian ...)
Edges | Finds edges of the photos by different methods (canny, morphology...)
Color | Manipulates with colors of the images (colorify, color temperature...)
Morphology | Applies morphology operations to the images (close, dilate, open...)

Effects

 Applies special effects to the images (ripple, wave, lens, weaver...)
Sharpen | Sharpens the images (unsharp mask ...)
Thresholds | Thresholds your images by different ways (binary, truncate...)


Artistic Filters

Create your photos much like an artist picture

Aquarelle | Paints the image in Aquarelle style, simplifying details in image.
Oil Paint | This filter makes the image look like if it had been painted with oil paints.
Texturize | Texturize filter overlays choosen texture on your image with specific amount.


Aquarelle

Paints the image in Aquarelle style, simplifying details in image, using medium brush loaded with aquarelle and color. If the significant tonal changes occur at the edges, the filter saturates the color.

To use Aquarelle filter:

Choose Filter > Artistic > Aquarelle.

aquarelle


Oilify

Oil Paint

This filter makes the image look like if it had been painted with oil paints.

To use the Oilify filter:

Choose Filters > Artistic > Oil Paint

oilify


Texturize

Texturize filter overlays a choosen texture on the image with a specific amount.

To use the Texturize filter:

Choose Filters > Artistic > Texturize

texturize


Blurs Filters

Blures your photos by different methods

Box Blur | Box Blur changes the color value of each pixel based on the pixels' color value next to it in a vertical and horizontal directions.
Gaussian Blur | Quickly blurs a selection by an adjustable amount.
Median Blur | Median Blur instead of simply averaging the surrounding pixels, uses the fact that the pixel values of an error in data are probably very different from the surrounding ‘good’ pixels values.
Motion Blur | The effect of this filter is analogous to taking a picture of a moving object with a fixed exposure time.
Simple Gaussian Blur | This filter removes fine image details and noises leaving only larger scale changes.


Box Blur

Box Blur is a fast and easy way to create a blurring effect. Box Blur changes the color value of each pixel based on the pixels' color value next to it in a vertical and horizontal directions. It is fairly close to the look achieved using Gaussian Blur, but performs much faster. Use it when a faster rendering time is important, and the quality of the blur is of less importance. With Box Blur, you can adjust: Radius - Varies strength. The radius is measured in pixels

To use the Box Blur filter:

Choose Filters > Blur > Box Blur .

boxblur


Untitled Document

Gaussian Blur

Quickly blurs a selection by an adjustable amount. Gaussian refers to the bell-shaped curve that is generated when PhotoImpro applies a weighted average to the pixels. The Gaussian Blur filter adds low-frequency detail and can produce a hazy effect.

To use Gaussian Blur filter:

Choose Filters > Blur > Gaussian Blur.

gaussianblur


Median Blur

Median Blur is similar in implementation to the regular blur. However, instead of simply averaging the surrounding pixels in order to get a new value, this filter uses the fact that the pixel values of an error in data are probably very different from the surrounding ‘good’ pixel values. Therefore, if we take each pixel in the square area around our current center pixel, and somehow sort the values, the error should be in one end of the sorted list.

To use the Median Blur filter:

Choose Filters > Blur > Median Blur

medianblur


Motion Blur

Blurs in a particular angle (from 0 to +360) and at a specific length (from 1 to 999). The effect of this filter is analogous to taking a picture of a moving object with a fixed exposure time.

To use Motion Blur filter:

Choose Filters > Blur > Motion Blur.

motionblur


Simple Gaussian Blur

Simple Gaussian Blur is a general blur filter. It removes fine image details and noises leaving only larger scale changes. Simple Gaussian Blurs produces a very pure smoothing effect without side effects.

Radius determines the scale of a fine detail that will be removed. Low values remove only a very fine detail while high values remove larger levels of a detail.

To use the Simple Gaussian Blur filter:

Choose Filters > Blur > Simple Gaussian Blur

simplegaussianblur


Color Filters

Manipulates with colors of your images

Color Booster | Color Booster adjusts saturation level to optimal values for portrait or landscape pictures.
Color Temperature | Changes color temperature.
Colorify | Colorify filter remaps all color pixels in the active selection or layer to a chosen color.
Swap Colors | The user can swap color channels with the help of this filter.


Color Booster

Color Booster - automatically adjusts saturation level to optimal values for portrait or landscape pictures.

To use the Color Booster filter:

Choose Filters > Color > Color Booster


Color Temperature

Changes color temperature with this filter.

To use the Color Temperature filter:

Choose Filters > Color > Color Temperature

colortemperature


Colorify

Colorify filter remaps all color pixels in the active selection or layer to a chosen color. It preserves the luminosity of the image.

To use the Colorify filter:

Choose Filters > Color > Colorify

colorify


Swap Colors

The user can swap the color channels with the help of this filter.

To use the Swap Colors filter:

Choose Filters > Color > Swap Colors

swapcolors


Edges Filters

Finds edges of your photos by different methods

Canny Edges | Canny Edge detection method looks for the edges of objects. So that it can be very useful for images with solid regions, where the user want only to vectorise the outlines.
Difference of Gaussians | Difference Of Gaussians filter performs edge detection by rendering a Gaussian blur to an image at a specified theta (also known as sigma or standard deviation).
Laplace Edges | This filter creates one-pixel wide edges from the image, with the value proportional to the gradient. It uses the Laplace operator.
Morphology Edges | Edge detection by morphology operations


Canny Edges

Canny Edge detection method looks for the edges of objects. So that it can be very useful for images with solid regions, where the user want only to vectorise the outlines. The Canny method employs more mathematics than the simple edge detection method. By modifying the settings (Min and Max thresholds) it can improve the results. This method will attempt to find boundaries between poorly defined objects as well as hard edges.

To use the Canny Edges filter:

Choose Filters > Edges > Canny

canny


Difference of Gaussians

Difference Of Gaussians filter performs edge detection by rendering a Gaussian blur to an image at a specified theta (also known as sigma or standard deviation). The resulting image is a blurred version of the source image. Then the module performs another blur with a sharper theta that blurs the image less than previously. The final image is then calculated by replacing each pixel with the difference between the two blurred images and detecting when the values cross zero, i.e. negative becomes positive and vice versa. The resulting zero crossings will be focused on the edges or areas of pixels that have some variation in their surrounding neighborhood.

To use the Difference of Gaussians filter:

Choose Filters > Edges > Difference of Gaussians

differenceofgaussians


Laplace

Laplace Edges

Edge Detection with Laplace Operation

This filter creates one-pixel wide edges for the image, with the value proportional to the gradient. It uses the Laplace operator (a 3x3 kernel with -8 in the middle). The image has to be laplacered to get useful results

To use the Laplace Edges filter:

Choose Filters > Edges > Laplace


Morphology Edges

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Edges allows to find the edges with morphological operators, by subtracting the eroded image from the dilated image. Radius and shape of a structuring element for the erode and dilate operators are specified by correspoding controls.

To use the Morphology Edges filter:

Choose Filters > Edges > Morphology Edges

morphologyedges


Effects Filters

Applies special effects on your images
Bump Map | This filter creates a 3D effect by embossing an image (the card) and then mapping it to another image.
Emboss | Makes a selection appear raised or stamped by converting its fill color to gray and tracing the edges with the original fill color.
Faceted Glass | Divides image into square glassblocks in which the image is refracted.
Lens | Lens filter draws glass elipsoid lense with specific refraction on selected region of your image.
Longitudinal Wave | Longitudinal Wave filter imitates longitudinal waves on your image with specific amplitude and period.
Mosaic | Mosaic filter is an effect which imitates mosaic.
Multiple Lenses | Multiple Lens filter draws multiple glass elipsoid lenses.
Ripple | Creates an undulating pattern on a selection, like ripples on the surface of a pond.
Spiral | Spiral filter is an effect which imitates spiral, with specific divisions.
Waves | Waves filter imitates waves on your image with specific amplitude, length and phase.
Weaver | Weaver filter is an effect which imitates weave.
Wind | Creates tiny horizontal lines in the image to simulate a wind effect.


Bump Map

This filter creates a 3D effect by embossing an image (the card) and then mapping it to another image. Bump heigth depends on a pixel luminosity. The user can set light source angle vertical and horizontal, and depth.

To use the Bump Map filter:

Choose Filters > Effects > Bump Map.

bumpmap


Emboss

Makes a selection appear raised or stamped by converting its fill color to gray and tracing the edges with the original fill color. These options include an embossing horizontal and vertical angle, and a depth for a amount of color within the selection.

To use the Emboss filter:

Choose Filter > Effects > Emboss.

emboss


Faceted Glass

Divides the image into square glassblocks with a specific width and height in which the image is refracted.

To use the Glass Tile filter:

Choose Filters > Effects > Faceted Glass

glasstile


Lens Effect

Lens

Lens filter draws a glass elipsoid lense with a specific refraction on a selected region of the image.

To use the Lens filter:

Choose Filters > Effects > Lens

lens


Longitudinal Wave

Longitudinal Wave filter imitates longitudinal waves on the image with the specific amplitude and period.

To use the Longitudinal Wave filter:

Choose Filters > Effects > Longitudinal Wave

longitudinal waves


Mosaic

Mosaic filter is an effect which imitates mosaic. The user can specify many parameters for this effect - form, size, height, neatness, spacing, color variation and light source angle

To use the Mosaic filter:

Choose Filters > Effects > Mosaic

mosaic


Multiple Lenses

Multiple Lens filter draws multiple glass elipsoid lenses with a specific refraction on a selected region of the image. Number of lenses (vertical or horizontal) can also be specified.

To use the Multiple Lenses filter:

Choose Filters > Effects > Multiple Lenses

multiplelenses


Ripple

Creates an undulating pattern on a selection, like ripples on the surface of a pond, with a specific amplitude (horizontal and vertical) and wave length (horizontal and vertical).

To use Ripple filter:

Choose Filters > Effects > Ripple.

ripple


Spiral

Spiral filter is an effect which imitates a spiral, with specific divisions.

To use the Spiral filter:

Choose Filters > Effects > Spiral

spiral


Waves

Waves filter imitates waves on the image with a specific amplitude, length and phase.

To use the Waves filter:

Choose Filters > Effects > Waves

waves


Weaver

Weaver filter is an effect which imitates a weave, with a specific size and shadow.

To use the Weaver filter:

Choose Filters > Effects > Weaver

weaver


Wind

Creates tiny horizontal lines on the image to simulate a wind effect, with a specific strength and direction.

To use Wind effect:

Choose Filter > Effects > Wind.

wind


Morphology Filters

Applies morphology operations on the images.

Mathematical morphology is a method of processing digital images on the basis of shape.

Black Hat | Morphology Black Hat operation.
Close | Morphology close is simply a dilation operation which is followed by an erosion operation. Applying Morphology close more than once produces no further effect.
Dilate | Morphology Dilate is commonly known as "fill", "expand", or "grow." It can be used to fill "holes" of a size equals to or smaller than the radius of a structuring element.
Erode | Morphology Erode makes to the background, as dilation makes to the foreground.
Open | Morphology Open is just an erosion operation followed by a dilation operation. Applying Morphology Open more than once produces no further effect.
Top Hat | Morphology Top Hat is implemented by the applying the opening operator to the image, then by subtracting the result from the original one.


Black Hat

Morphology Black Hat

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Black Hat is implemented by applying the closing operator to the original image, then by subtracting the original image from the result.

Radius and shape of a structuring element for the erode and dilate operators are specified by correspoding controls.

To use the Morphology Black Hat filter:

Choose Filters > Morphology > Black Hat

morpholofyblackhat


Close

Morphology Close

Mathematical morphology is a method of processing digital images on the basis of shape. Morphology close is simply a dilation operation which is followed by an erosion operation. Applying Morphology close more than once produces no further effect.

To use the Morphology Close filter:

Choose Filters > Morphology > Close

morphologyclose


Morphology Dilate

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Dilate is commonly known as "fill", "expand", or "grow." It can be used to fill "holes" of a size equals to or smaller than the radius of structuring element.

Radius and shape of a structuring element for the erode and dilate operators are specified by the correspoding controls.

To use the Morphology Dilate filter:

Choose Filters > Morphology > Dilate

morphologydilate


Erode

Morphology Erode

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Erode makes to the background, as dilation makes to the foreground. With this function one can remove islands which are smaller than the radius of a structuring element, for a given image and a structuring element.

Radius and shape of a structuring element for the erode and dilate operators are specified by the correspoding controls.

To use the Morphology Erode filter:

Choose Filters > Morphology > Erode

morphologyerode


Morphology Open

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Open is just an erosion operation followed by a dilation operation. Applying Morphology Open more than once produces no further effect.

Radius and shape of a structuring element for the erode and dilate operators are specified by the correspoding controls.

To use the Morphology Open filter:

Choose Filters > Morphology > Open

morphologyopen


Morphology Top Hat

Mathematical morphology is a method of processing digital images on the basis of shape. Morphing is available during the working over images. Morphology Top Hat is implemented by applying the opening operator to the image, then by subtracting the result from the original one. The applying of Top Hat shows the bright peaks in the image.

Radius and shape of a structuring element for the erode and dilate operators are specified by the correspoding controls.

To use the Morphology Top Hat filter:

Choose Filters > Morphology > Tophat

morphologytophat


Sharpen Filters

Sharpens the images

Sharpening | Sharpening filter focuses blurry images by increasing the contrast of the adjacent pixels, with a specific radius and by a specific amount.
Unsharp Mask | Unsharp Mask locates the pixels that differ in value from surrounding pixels by the threshold which is specified by the user and increases the pixels' contrast by an amount which is also specified by the user, so that for the neighboring pixels specified by the threshold, the lighter pixels becomes even lighter and the darker pixels becomes even darker based on the specified amount.
Unsharp Mask Edges | Unsharp Mask Edges detects edges in an image. After that it applies Unsharp Mask to the edge-pixels with small blur.


Sharpening

Sharpening filter focuses blurry images by increasing the contrast of the adjacent pixels, with a specific radius and by a specific amount.

To use the Sharpening filter:

Choose Filters > Sharpen > Sharpening

sharpen


Unsharp Mask

Unsharp Mask Unsharpen Mask locates the pixels that differ in value from surrounding pixels by the threshold which is specified by the user and increases the pixels' contrast by an amount which is also specified by the user, so that for the neighboring pixels specified by the threshold, the lighter pixels becomes even lighter and the darker pixels becomes even darker based on the specified amount.

In addition, the user can specify the radius of the region with which each pixel will be compared. The greater the radius is, the larger the edge effects are.

To use Unsharp Mask filter:

Choose Filters > Sharpen > Unsharp Mask.

unsharpmask


Unsharp Mask Edges

Unsharp Mask Edges detects edges in the image. After that it applies Unsharp Mask to the edge-pixels with a small blur.

In addition, the user can specify the radius of a region with which each pixel will be compared. The greater the radius is, the larger the edge effects are.

To use the Unsharp Mask Edges filter:

Choose Filters > Sharpen > Unsharp Mask Edges


Thresholds Filters

Thresholds your images by different ways

Threshold Binary | All pixels lighter than the threshold are converted to white; all pixels darker are converted to value.
Threshold To Zero | All pixels lighter than the threshold are equalized to value; all pixels darker are not converted.
Threshold Truncate | All pixels lighter than the threshold are not converted; all pixels darker are equalized to threshold.


Threshold Binary

Threshold Binary filter converts grayscale or color images to a high-contrast, black-and-white images. The user can specify a certain level as a threshold. All the pixels lighter than the threshold are converted to a white and all the pixels darker than the threshold are converted to a value. Threshold Binary filter is useful for determining the lightest and darkest areas of the image.

To use the Threshold Binary filter:

Choose Filters > Thresholds > Binary.

thresholdbinary


Threshold To Zero

The user can specify a certain level as a threshold. All the pixels lighter than the threshold are equalized to a value; all the pixels that are darker are not converted.

To use the Threshold To Zero filter:

Choose Filters > Thresholds > To Zero

thresholdtozero


Threshold Truncate

The user can specify a certain level as a threshold. All the pixels lighter than the threshold are not converted; all pixels that are darker are equalized to the threshold.

To use the Threshold Truncate filter:

Choose Filters > Thresholds > Truncate
thresholdtruncate


Auto Rotate

To use the Auto Rotate command:

Choose Image > Tools > Auto Rotate .


Blending Options

Using Blending Options

Blending Options allow the user to create additional effects for the image when the filters or adjustment commands are used.

  • "Normal" - Edits or paints each pixel to make the result in color.
  • "Average" - Commutative mode base and blend color can be swapped.
  • "Multiply" - When the user paints with a color other than black or white, then the successive strokes with a painting tool produce progressively darker colors.
  • "Screen" - Looks at each channel’s color information and multiplies the inverse of the blend with base colors.
  • "Darken" - Pixels lighter than the blend color will be replaced. Pixels darker than the blend color will stay the same.
  • "Lighten" - Pixels darker than the blend color will be replaced. Pixels lighter than the blend color will stay the same.
  • "Difference" - Looks at the color information in each channel and subtracts either the blend color from the base color or the base color from the blend color, depending on which has the greater brightness value.
  • "Overlay" - The base color will be not replaced, but it is mixed with the blend color to reflect the lightness or darkness of the original color.
  • "Hard Light" - Multiplies or screens the colors, depending on the blend color.
  • "Soft Light" - Darkens or lightens the colors, depending on the blend color.
  • "Dodge" - Looks at the color information in each channel and brightens the base color to reflect the blend color by decreasing the contrast.
  • "Burn" - Some kind of inverted screen mode (the multiplication is replaced by the division of the "inverse").
  • "Quadratic" - Variation of a reflect mode (base and blend color are swapped).
  • "Additive" - Gray blend colors do not change the background, brighter or darker colors make the background brighter or darker.
  • "Interpolation" - Combines multiply and screen modes (looks very similar for very dark or bright colors). The cosine function is used for calculation, similarly to a cosine interpolation algorithm.
  • "Xor" - mathematical operation XOR between input and output colors.
  • "And" - mathematical operation AND between input and output colors.
  • "Or" - mathematical operation OR between input and output colors.


Resize

Use this command for resizing images. Enter the value for a Width or Height in a choosen metrix. PhotoImpro adjusts the other values to keep the image proportional (if "constrain proportions" is selected) and resets the resolution.

To use the Resize command:

Choose Image > Image Size

resize


flip

Rotate canvas of entire image

You can rotate an image on 90o clockwise, contraclockwise, on 180o, vertically and horizontally

To use Rotate canvas tool:

Choose Image > Rotate Image > 90o CW / 90o CCW / 180o / Flip Horizontal / Vertical.


Selecting Color

Color popup window allows to select foreground and background color by clicking on Color button in tools pane.

At first select base color via color slider (on the bottom of window), then choose intersted color tone by clicking on color field.


Using Undo pane (History)

Undo pane allows to restore the previous state of the image by selecting the interested item in Undo pane window.


Organizing Images

PhotoImpro allows the user to organize images in his own way. It includes ratings and virtual folders system, which is represented in Combine Pane form.

Press 'New folder' button on Organizer toolbar to create a new virtual folder.

Use Drag and Drop for managing images in Organizer.

Press 'Rename' to rename images and 'Delete' to delete images.

Organizer


Sharings Images

Sharing Images

Photoimpro let the user share images or photos on CD/DVD discs, FTP servers, WWW server and create Html albums.

Photoimpro Html Album Creator allows to create html gallery with the full customizable thumbnails. The user can specify the size, shape, shadow, source lights of thumbnails. The type of layout, background and so on can also be chosen.

With Photoimpro FTP Client the user can upload/download images or other files on/from FTP servers. There is also a possibility for renaming or deleteing files on FTP servers.

Photoimpro CD/DVD Burner helps to write images or other files on CD/DVD discs. Comfortable interface allows to make it simply and fast.

WWW Image Sharing module allows to share images or photos on www server (www.sharemyshot.com). This possiblity helps to show the favorite photos to anyone in the world.


CD/DVD Burner

PhotoImpro allows fast and easy writing the images or photos on CD/DVD disc. Use Drag and Drop for the files (which are to be written) on a Burner pane. Press burn button. The following dialog will appear:

  • "burn" - starts writing process on CD/DVD disc.
  • "erase" - starts erasing process.
  • "info" - information about current disc.
  • "recorder" - recorder selection.
  • "speed" - writing speed selection.
  • "multi sessions" - allows to create multi sessions disc.
  • "finalize disc" - after writing process the disc will be finalized. The user should be careful with this option, because it will be impossible to write on this disc photos or images without erasing.

The user can see the size of the choosen files for writing with the help of information panel on the tools panel green panel

For deleting files from Burner pane just press burn erase, files will be removed only from the burner pane, not from the file system.


FTP Client

Photoimpro let the user upload/download images or photos to/from remote FTP servers. Press ftp new for creating new connection.

ftp new dialog
  • "conenction name" - Connection name, which should be created.
  • "Hostname or IP address" - Hostname or IP address of the remote FTP server.
  • "Port to connect to" - Port for connection (default 21).
  • "User name" - User name for connection. This field need not to be filled if Anonymous is chosen.
  • "Password" - Password for connection. This field need not to be filled if Anonymous is chosen.
  • "Passive mode" - Passive mode for connection.
  • "Anonymous" - Connection with Anonymous login.

Use Drag and Drop for transfering the files. For downloading the user can also press ftp download

For deleting files from FTP server press ftp erase


Html albums

PhotoImpro Html Albums Creator allows to create thousand variations of layouts for the web galleries. Full customizable layout, thumbnails, background, buttons, etc let the user make his html album unforgettable and unique.

html albums main

There are three steps for creating gallery:
  1. Choose Theme

    Select Theme page and specify layout, theme from predefined list, count of rows and columns of thumbnails per page, background and color settings via corresponding controls.

  2. Choose Advanced options

    Select Advanced page and specify shape and shading options of thumbnails via corresponding controls.

  3. Create page

    Select Create page and specify header, footer if one is needed; album name, home page link, default picture size, store folder via corresponding controls. Press Start button and wait for some time while gallery is being created.


WEB Image Sharing

PhotoImpro with ShareMyShot service let the user share his favorite pictures with anybody all over the world. Just select the image or region of the image and choose Tools > Share image....

PhotoImpro asks for the confirmation. After that the image will be uploaded on the server, and the user will see the following window:

share done dialog
  • "Direct link to" - this link is a direct reference on image data. For example the user can paste it into <img src=...
  • "Link to image page" - link on a generated html page with the image.
  • "Copy" - copies generated link to the clipboard.
  • "Email now" - send a link on email


WEB Image Browser

WEB Html Image Browser

PhotoImpro let the user see only the images. It ignores texts or any other information on WWW servers.

Press http new url to enter the url.

http new dialog
In the text field enter the url.
Press http dialogs for settings "WEB Html image browser".

http options dialog
  • "Show pictures only in list view" - to show only the images on the file list pane (without links).
  • "Show references from current site only" - to show links only from the current site.
  • "Immediately open images in thumbnail" - to show thumbnails of the images immediately.
  • "Cut pathes" - to show links from the current site in the local mode.

Use Drag and Drop for downloading images.


Printing Images

With PhotoImpro the user can print the images easy and fast. Just select images and choose File > Print....

On Preview window PhotoImpro arranges optimally the photos with choosen sizes.

print dialog
  • "Printer" - Printer selection.
  • "Properties" - Properties of the choosen printer.
  • "Sizes" - Size for printing.
  • "Delete size" - Deletes sizes from the list. The user can remove only custom's sizes.
  • "Add size" - Adds the user's sizes.
  • "Border" - Images will be printed with border.
  • "Fit to page" - Images will be adjusted to the page.
  • "Crops" - Images will be cropped.
  • "Next" - Next page.
  • "Prev" - Previous page.
  • "Print" - Print the images.


Feature Request

If there is something you woul'd like to do with your images, but PhotoImpro can't do it, please let us know about it.

Choose Tools > Feature Request

wish dialog
  • "Your Name" - Your full name.
  • "Email" - Your email address.
  • "Subject" - Subject of your message.
  • "Body" - Your message.

AmitySource LLC is open for all your suggestions and propositions, which can make PhotoImpro better.


Batch Rename

You can use the Batch Rename tool to rename a group of files. You can specify a template with a numerical sequence

To use the Batch Rename tool:

Choose Tools > Batch Rename.

batch rename